LibreOffice: com/sun/star/uno/Any.hxx File Reference

LibreOffice LibreOffice 26.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Any.hxx File Reference
`#include "sal/config.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <iomanip>`
`#include <ostream>`
`#include <utility>`
`#include "com/sun/star/uno/Any.h"`
`#include "uno/data.h"`
`#include "uno/sequence2.h"`
`#include "com/sun/star/uno/Type.hxx"`
`#include "com/sun/star/uno/Reference.h"`
`#include "com/sun/star/uno/genfunc.hxx"`
`#include "com/sun/star/uno/RuntimeException.hpp"`
`#include "cppu/cppudllapi.h"`
`#include "cppu/unotype.hxx"`

Go to the source code of this file.

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno

## Functions
CPPU_DLLPUBLIC rtl_uString * | cppu_Any_extraction_failure_msg (uno_Any const *pAny, typelib_TypeDescriptionReference *pType) SAL_THROW_EXTERN_C()
template<class C>
Any | com::sun::star::uno::makeAny (const C &value)
| Template function to generically construct an any from a C++ value.
template<>
Any | com::sun::star::uno::makeAny (sal_uInt16 const &value)
template<typename T>
Any | com::sun::star::uno::toAny (T const &value)
| Wrap a value in an Any, if necessary.
template<>
Any | com::sun::star::uno::toAny (Any const &value)
template<class C>
void | com::sun::star::uno::operator<<= (Any &rAny, const C &value)
| Template binary <<= operator to set the value of an any.
template<>
void | com::sun::star::uno::operator<<= (Any &rAny, bool const &value)
template<class C>
bool | com::sun::star::uno::operator>>= (const Any &rAny, C &value)
| Template binary >>= operator to assign a value from an any.
template<>
bool | com::sun::star::uno::operator>>= (const ::com::sun::star::uno::Any &rAny, sal_Bool &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const sal_Bool &value)
template<>
bool | com::sun::star::uno::operator>>= (Any const &rAny, bool &value)
template<>
bool | com::sun::star::uno::operator== (Any const &rAny, bool const &value)
template<>
bool | com::sun::star::uno::operator>>= (const ::com::sun::star::uno::Any &rAny, sal_Int8 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int16 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_uInt16 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int32 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_uInt32 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int64 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_uInt64 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, float &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, double &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, ::rtl::OUString &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const ::rtl::OUString &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, Type &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const Type &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, Any &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const BaseReference &value)
template<class C>
bool | com::sun::star::uno::operator== (const Any &rAny, const C &value)
| Template equality operator: compares set value of left side any to right side value.
template<class C>
bool | com::sun::star::uno::operator!= (const Any &rAny, const C &value)
| Template inequality operator: compares set value of left side any to right side value.
template<typename charT, typename traits>
std::basic_ostream< charT, traits > & | com::sun::star::uno::operator<< (std::basic_ostream< charT, traits > &o, Any const &any)
| Support for Any in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example).

## Function Documentation

## ◆ cppu_Any_extraction_failure_msg()

CPPU_DLLPUBLIC rtl_uString * cppu_Any_extraction_failure_msg | ( | uno_Any const * | pAny,
|  | typelib_TypeDescriptionReference * | pType )